import 'package:dio/dio.dart';

abstract class QuestiaRepository {
  Future<Response<T>> get<T>(
    String path, {
    Map<String, dynamic>? queryParameters,
  });

  Future<Response<T>> post<T>(
    String path, {
    dynamic body,
    Map<String, dynamic>? queryParameters,
  });

  Future<Response<T>> put<T>(
    String path, {
    dynamic body,
    Map<String, dynamic>? queryParameters,
  });

  Future<Response<T>> delete<T>(
    String path, {
    dynamic body,
    Map<String, dynamic>? queryParameters,
  });
}
